summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-11-04 00:39:28 +0100
committerHolger Levsen <holger@layer-acht.org>2014-11-04 00:47:22 +0100
commitc6a40cdbe24b9601be228fccf9f2076a57eeac08 (patch)
tree02a4ef9196121a5c452fbbb218ca6667ae438eb4 /bin/chroot-run.sh
parent6ba95b96124c67a611e5b33c5d52c5f4486eb1ba (diff)
downloadjenkins.debian.net-c6a40cdbe24b9601be228fccf9f2076a57eeac08.tar.xz
add 2 new piuparts build jobs
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index fc8472a3..c79a8b59 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -87,6 +87,17 @@ cleanup() {
publish_changes_to_userContent $CHANGES debian-edu "git ${GIT_COMMIT:0:7}"
fi
+ #
+ # publish artifacts
+ #
+ if $ARTIFACTS ; then
+ CHANGES=$(ls -1 $CHROOT_TARGET/tmp/*_*.changes 2>/dev/null|| true)
+ dcmd cp $CHANGES $WORKSPACE/
+ fi
+
+ #
+ # actually cleanup
+ #
if [ -d $CHROOT_TARGET/proc ]; then
sudo umount -l $CHROOT_TARGET/proc || fuser -mv $CHROOT_TARGET/proc
fi
@@ -96,6 +107,7 @@ cleanup() {
if [ -d $CHROOT_TARGET ]; then
sudo rm -rf --one-file-system $CHROOT_TARGET || fuser -mv $CHROOT_TARGET
fi
+
}
trap cleanup INT TERM EXIT